{"changed":true,"filter":false,"title":"people.js","tooltip":"/routes/people.js","value":"const express = require('express')\nconst router = express.Router()\n\nmodule.exports = router\n\nconst mongoose = require('mongoose')\nconst People = mongoose.model('People')\n\n/* GET /people */\nrouter.get('/', function (req, res, next) {\n  People.find().sort({title: 1}).populate({\n    path: 'people'\n  }).exec(function (err, data) {\n    if (err) { return next(err) }\n\n    res.json(data)\n  })\n})\n\n/* POST /people */\nrouter.post('/', function (req, res, next) {\n  const collection = new People(req.body)\n\n  collection.save(function (err, data) {\n    if (err) { return next(err) }\n    res.json(data)\n  })\n})\n\n/* GET /people/:person */\nrouter.get('/:person', function (req, res, next) {\n  People.findOne({'_id': req.params.person}).populate({\n    path: 'people'\n  }).exec(function (err, data) {\n    if (err) { return next(err) }\n\n    res.json(data)\n  })\n})\n\n/* PUT /people/:person */\nrouter.put('/:person', function (req, res, next) {\n  People.findOneAndUpdate({'_id': req.body._id}, req.body, {new: true}, function (err, data) {\n    if (err) { return next(err) }\n\n    data.populate({\n      path: 'people'\n    }, function (err, data) {\n      if (err) { return next(err) }\n      \n      res.json(data)\n    })\n  })\n})\n\n/* DELETE /people/:person */\nrouter.delete('/':, function (req, res, next) {\n  Organizations.find({'_id': req.params.organization}).remove(function (err) {\n    if (err) { return next(err) }\n  \n    res.json({})\n  })\n})","undoManager":{"mark":98,"position":100,"stack":[[{"start":{"row":30,"column":17},"end":{"row":30,"column":18},"action":"insert","lines":["l"],"id":69}],[{"start":{"row":30,"column":17},"end":{"row":30,"column":18},"action":"remove","lines":["l"],"id":70}],[{"start":{"row":30,"column":17},"end":{"row":30,"column":18},"action":"insert","lines":["p"],"id":71}],[{"start":{"row":30,"column":18},"end":{"row":30,"column":19},"action":"insert","lines":["l"],"id":72}],[{"start":{"row":30,"column":19},"end":{"row":30,"column":20},"action":"insert","lines":["e"],"id":73}],[{"start":{"row":31,"column":2},"end":{"row":31,"column":15},"action":"remove","lines":["Organizations"],"id":74}],[{"start":{"row":31,"column":2},"end":{"row":31,"column":3},"action":"insert","lines":["P"],"id":75}],[{"start":{"row":31,"column":3},"end":{"row":31,"column":4},"action":"insert","lines":["o"],"id":76}],[{"start":{"row":31,"column":4},"end":{"row":31,"column":5},"action":"insert","lines":["e"],"id":77}],[{"start":{"row":31,"column":5},"end":{"row":31,"column":6},"action":"insert","lines":["p"],"id":78}],[{"start":{"row":31,"column":6},"end":{"row":31,"column":7},"action":"insert","lines":["l"],"id":79}],[{"start":{"row":31,"column":7},"end":{"row":31,"column":8},"action":"insert","lines":["e"],"id":80}],[{"start":{"row":31,"column":7},"end":{"row":31,"column":8},"action":"remove","lines":["e"],"id":81}],[{"start":{"row":31,"column":6},"end":{"row":31,"column":7},"action":"remove","lines":["l"],"id":82}],[{"start":{"row":31,"column":5},"end":{"row":31,"column":6},"action":"remove","lines":["p"],"id":83}],[{"start":{"row":31,"column":4},"end":{"row":31,"column":5},"action":"remove","lines":["e"],"id":84}],[{"start":{"row":31,"column":3},"end":{"row":31,"column":4},"action":"remove","lines":["o"],"id":85}],[{"start":{"row":31,"column":3},"end":{"row":31,"column":4},"action":"insert","lines":["e"],"id":86}],[{"start":{"row":31,"column":4},"end":{"row":31,"column":5},"action":"insert","lines":["o"],"id":87}],[{"start":{"row":31,"column":5},"end":{"row":31,"column":6},"action":"insert","lines":["p"],"id":88}],[{"start":{"row":31,"column":6},"end":{"row":31,"column":7},"action":"insert","lines":["l"],"id":89}],[{"start":{"row":31,"column":7},"end":{"row":31,"column":8},"action":"insert","lines":["e"],"id":90}],[{"start":{"row":30,"column":14},"end":{"row":30,"column":20},"action":"remove","lines":["people"],"id":91}],[{"start":{"row":30,"column":14},"end":{"row":30,"column":15},"action":"insert","lines":["p"],"id":92}],[{"start":{"row":30,"column":15},"end":{"row":30,"column":16},"action":"insert","lines":["e"],"id":93}],[{"start":{"row":30,"column":16},"end":{"row":30,"column":17},"action":"insert","lines":["r"],"id":94}],[{"start":{"row":30,"column":17},"end":{"row":30,"column":18},"action":"insert","lines":["s"],"id":95}],[{"start":{"row":30,"column":18},"end":{"row":30,"column":19},"action":"insert","lines":["o"],"id":96}],[{"start":{"row":30,"column":19},"end":{"row":30,"column":20},"action":"insert","lines":["n"],"id":97}],[{"start":{"row":31,"column":36},"end":{"row":31,"column":48},"action":"remove","lines":["organization"],"id":98}],[{"start":{"row":31,"column":36},"end":{"row":31,"column":37},"action":"insert","lines":["p"],"id":99}],[{"start":{"row":31,"column":37},"end":{"row":31,"column":38},"action":"insert","lines":["e"],"id":100}],[{"start":{"row":31,"column":38},"end":{"row":31,"column":39},"action":"insert","lines":["r"],"id":101}],[{"start":{"row":31,"column":39},"end":{"row":31,"column":40},"action":"insert","lines":["s"],"id":102}],[{"start":{"row":31,"column":40},"end":{"row":31,"column":41},"action":"insert","lines":["o"],"id":103}],[{"start":{"row":31,"column":41},"end":{"row":31,"column":42},"action":"insert","lines":["n"],"id":104}],[{"start":{"row":32,"column":11},"end":{"row":32,"column":24},"action":"remove","lines":["organizations"],"id":105}],[{"start":{"row":32,"column":11},"end":{"row":32,"column":12},"action":"insert","lines":["p"],"id":106}],[{"start":{"row":32,"column":12},"end":{"row":32,"column":13},"action":"insert","lines":["e"],"id":107}],[{"start":{"row":32,"column":13},"end":{"row":32,"column":14},"action":"insert","lines":["o"],"id":108}],[{"start":{"row":32,"column":14},"end":{"row":32,"column":15},"action":"insert","lines":["p"],"id":109}],[{"start":{"row":32,"column":15},"end":{"row":32,"column":16},"action":"insert","lines":["e"],"id":110},{"start":{"row":32,"column":16},"end":{"row":32,"column":17},"action":"insert","lines":["l"]}],[{"start":{"row":32,"column":16},"end":{"row":32,"column":17},"action":"remove","lines":["l"],"id":111}],[{"start":{"row":32,"column":15},"end":{"row":32,"column":16},"action":"remove","lines":["e"],"id":112}],[{"start":{"row":32,"column":14},"end":{"row":32,"column":15},"action":"remove","lines":["p"],"id":113}],[{"start":{"row":32,"column":14},"end":{"row":32,"column":15},"action":"insert","lines":["p"],"id":114}],[{"start":{"row":32,"column":15},"end":{"row":32,"column":16},"action":"insert","lines":["l"],"id":115}],[{"start":{"row":32,"column":16},"end":{"row":32,"column":17},"action":"insert","lines":["e"],"id":116}],[{"start":{"row":40,"column":8},"end":{"row":40,"column":21},"action":"remove","lines":["organizations"],"id":117}],[{"start":{"row":40,"column":8},"end":{"row":40,"column":9},"action":"insert","lines":["p"],"id":118}],[{"start":{"row":40,"column":9},"end":{"row":40,"column":10},"action":"insert","lines":["e"],"id":119}],[{"start":{"row":40,"column":10},"end":{"row":40,"column":11},"action":"insert","lines":["o"],"id":120}],[{"start":{"row":40,"column":11},"end":{"row":40,"column":12},"action":"insert","lines":["p"],"id":121}],[{"start":{"row":40,"column":12},"end":{"row":40,"column":13},"action":"insert","lines":["l"],"id":122}],[{"start":{"row":40,"column":13},"end":{"row":40,"column":14},"action":"insert","lines":["e"],"id":123}],[{"start":{"row":40,"column":16},"end":{"row":40,"column":28},"action":"remove","lines":["organization"],"id":124}],[{"start":{"row":40,"column":16},"end":{"row":40,"column":17},"action":"insert","lines":["p"],"id":125}],[{"start":{"row":40,"column":17},"end":{"row":40,"column":18},"action":"insert","lines":["e"],"id":126}],[{"start":{"row":40,"column":18},"end":{"row":40,"column":19},"action":"insert","lines":["r"],"id":127}],[{"start":{"row":40,"column":19},"end":{"row":40,"column":20},"action":"insert","lines":["s"],"id":128}],[{"start":{"row":40,"column":20},"end":{"row":40,"column":21},"action":"insert","lines":["o"],"id":129}],[{"start":{"row":40,"column":21},"end":{"row":40,"column":22},"action":"insert","lines":["n"],"id":130}],[{"start":{"row":41,"column":14},"end":{"row":41,"column":26},"action":"remove","lines":["organization"],"id":131}],[{"start":{"row":41,"column":14},"end":{"row":41,"column":15},"action":"insert","lines":["p"],"id":132}],[{"start":{"row":41,"column":15},"end":{"row":41,"column":16},"action":"insert","lines":["e"],"id":133}],[{"start":{"row":41,"column":16},"end":{"row":41,"column":17},"action":"insert","lines":["r"],"id":134}],[{"start":{"row":41,"column":17},"end":{"row":41,"column":18},"action":"insert","lines":["s"],"id":135}],[{"start":{"row":41,"column":18},"end":{"row":41,"column":19},"action":"insert","lines":["o"],"id":136}],[{"start":{"row":41,"column":19},"end":{"row":41,"column":20},"action":"insert","lines":["n"],"id":137}],[{"start":{"row":42,"column":2},"end":{"row":42,"column":15},"action":"remove","lines":["Organizations"],"id":138}],[{"start":{"row":42,"column":2},"end":{"row":42,"column":3},"action":"insert","lines":["P"],"id":139}],[{"start":{"row":42,"column":3},"end":{"row":42,"column":4},"action":"insert","lines":["e"],"id":140}],[{"start":{"row":42,"column":4},"end":{"row":42,"column":5},"action":"insert","lines":["o"],"id":141}],[{"start":{"row":42,"column":5},"end":{"row":42,"column":6},"action":"insert","lines":["p"],"id":142}],[{"start":{"row":42,"column":6},"end":{"row":42,"column":7},"action":"insert","lines":["l"],"id":143}],[{"start":{"row":42,"column":7},"end":{"row":42,"column":8},"action":"insert","lines":["e"],"id":144}],[{"start":{"row":46,"column":13},"end":{"row":46,"column":26},"action":"remove","lines":["organizations"],"id":145}],[{"start":{"row":46,"column":13},"end":{"row":46,"column":14},"action":"insert","lines":["p"],"id":146}],[{"start":{"row":46,"column":14},"end":{"row":46,"column":15},"action":"insert","lines":["e"],"id":147}],[{"start":{"row":46,"column":15},"end":{"row":46,"column":16},"action":"insert","lines":["o"],"id":148}],[{"start":{"row":46,"column":16},"end":{"row":46,"column":17},"action":"insert","lines":["p"],"id":149}],[{"start":{"row":46,"column":17},"end":{"row":46,"column":18},"action":"insert","lines":["l"],"id":150}],[{"start":{"row":46,"column":18},"end":{"row":46,"column":19},"action":"insert","lines":["e"],"id":151}],[{"start":{"row":55,"column":11},"end":{"row":55,"column":24},"action":"remove","lines":["organizations"],"id":152}],[{"start":{"row":55,"column":11},"end":{"row":55,"column":12},"action":"insert","lines":["p"],"id":153}],[{"start":{"row":55,"column":12},"end":{"row":55,"column":13},"action":"insert","lines":["e"],"id":154}],[{"start":{"row":55,"column":13},"end":{"row":55,"column":14},"action":"insert","lines":["o"],"id":155}],[{"start":{"row":55,"column":14},"end":{"row":55,"column":15},"action":"insert","lines":["p"],"id":156}],[{"start":{"row":55,"column":15},"end":{"row":55,"column":16},"action":"insert","lines":["l"],"id":157}],[{"start":{"row":55,"column":16},"end":{"row":55,"column":17},"action":"insert","lines":["e"],"id":158}],[{"start":{"row":55,"column":19},"end":{"row":55,"column":31},"action":"remove","lines":["organization"],"id":159}],[{"start":{"row":55,"column":19},"end":{"row":55,"column":20},"action":"insert","lines":["p"],"id":160}],[{"start":{"row":55,"column":20},"end":{"row":55,"column":21},"action":"insert","lines":["e"],"id":161}],[{"start":{"row":55,"column":21},"end":{"row":55,"column":22},"action":"insert","lines":["r"],"id":162}],[{"start":{"row":55,"column":22},"end":{"row":55,"column":23},"action":"insert","lines":["s"],"id":163}],[{"start":{"row":55,"column":23},"end":{"row":55,"column":24},"action":"insert","lines":["o"],"id":164}],[{"start":{"row":55,"column":24},"end":{"row":55,"column":25},"action":"insert","lines":["n"],"id":165}],[{"start":{"row":55,"column":25},"end":{"row":55,"column":26},"action":"insert","lines":["s"],"id":166}],[{"start":{"row":55,"column":25},"end":{"row":55,"column":26},"action":"remove","lines":["s"],"id":167}],[{"start":{"row":56,"column":17},"end":{"row":56,"column":29},"action":"remove","lines":["organization"],"id":168}],[{"start":{"row":56,"column":16},"end":{"row":56,"column":18},"action":"remove","lines":[":'"],"id":169},{"start":{"row":56,"column":16},"end":{"row":56,"column":18},"action":"insert","lines":["':"]}]]},"ace":{"folds":[],"scrolltop":174,"scrollleft":0,"selection":{"start":{"row":48,"column":35},"end":{"row":48,"column":35},"isBackwards":false},"options":{"guessTabSize":true,"useWrapMode":false,"wrapToView":true},"firstLineState":0},"timestamp":1463597316467}